<template>
  <div id="vueapp" class="vue-app">
    <kendo-scheduler 
      :data-source="localDataSource"
      :date="date"
      :height="600"
      :timezone="'Etc/UTC'"
      :group="group"
      @change="onChange"
      @edit="onEdit"
      @add="onAdd"
      @cancel="onCancel"
      @dataBound="onDataBound"
      @move="onMove"
      @navigate="onNavigate"
      @resize="onResize"
      @save="onSave">
      <kendo-scheduler-view 
        :type="'timelineWeek'"
        :title="'Horizontal View'"
        :show-work-hours="true"
        :selected="true">
      </kendo-scheduler-view>
      <kendo-scheduler-view
        :type="'week'"
        :title="'Vertical View'"
        :show-work-hours="true">
      </kendo-scheduler-view>
      <kendo-scheduler-resource
        :field="'group'"
        :name="'Group'"
        :title="'Group'"
        :data-source="groups">
      </kendo-scheduler-resource>
    </kendo-scheduler>
  </div>
</template>

<script>
import { KendoScheduler, KendoSchedulerView, KendoSchedulerResource } from '@progress/kendo-scheduler-vue-wrapper'
export default {
  name: 'HelloWorld',
  components: {
    KendoScheduler,
    KendoSchedulerView,
    KendoSchedulerResource,
  },
  props: {
    msg: String
  },
  data() {
    return {
      date: new Date('2013/6/6'),
      group: {           
        resources: ['Rooms'],
        orientiation: 'horizontal'
      },
      groups: [
        { text: 'Unit Clerk', value: 1, color: '#1c9ec4' },
        { text: 'CNA', value: 2, color: '#ff7663' },
        { text: 'Nursing Staff', value: 3, color: '#9833ff' },
      ],
      localDataSource: [
          {
            id: 1,
            start: new Date('2013/6/6 08:00 AM'),
            end: new Date('2013/6/6 09:00 AM'),
            title: 'Interview',
            group: 1,
          },
          {
            id: 2,
            start: new Date('2013/6/6 08:00 AM'),
            end: new Date('2013/6/6 09:00 AM'),
            title: 'Meeting',
            group: 2,
          },
          {
            id: 3,
            start: new Date('2013/6/6 08:00 AM'),
            end: new Date('2013/6/6 09:00 AM'),
            title: 'Interview',
            group: 3,
          },
          {
            id: 4,
            start: new Date('2013/6/6 08:00 AM'),
            end: new Date('2013/6/6 09:00 AM'),
            title: 'Meeting',
            group: 2,
          },
          {
            id: 5,
            start: new Date('2013/6/6 08:00 AM'),
            end: new Date('2013/6/6 09:00 AM'),
            title: "Meeting",
            group: 3,
          },
          {
            id: 6,
            start: new Date("2013/6/6 08:00 AM"),
            end: new Date("2013/6/6 09:00 AM"),
            title: "Meeting",
            group: 2,
          }
      ]
    }
  },
  methods: {
    onChange: function (ev) {
        console.log("Event :: change");
    },
    onEdit: function (ev) {
        console.log("Event :: edit");
    },
    onAdd: function (ev) {
        console.log("Event :: add");
    },
    onCancel: function (ev) {
        console.log("Event :: cancel");
    },
    onDataBound: function (ev) {
        console.log("Event :: dataBound");
    },
    onMove: function (ev) {
        console.log("Event :: move");
    },
    onNavigate: function (ev) {
        console.log("Event :: navigate");
    },
    onResize: function (ev) {
        console.log("Event :: resize");
    },
    onSave: function (ev) {
        console.log("Event :: save");
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
